import { DomainEvent } from './index';

export class UserAccountCreatedEvent extends DomainEvent {
  constructor(
    public readonly payload: {
      userId: string;
      accountSequence: number;
      phoneNumber: string;
      initialDeviceId: string;
      inviterSequence: number | null;
      province: string;
      city: string;
      registeredAt: Date;
    },
  ) {
    super();
  }

  get eventType(): string {
    return 'UserAccountCreated';
  }
}
